Bug 701581 - Key values are missed in /proc/cpuinfo in Guest while doing cpu cluster
Key values are missed in /proc/cpuinfo in Guest while doing cpu cluster
Status: CLOSED DUPLICATE of bug 691886
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier3
  Show dependency treegraph
 
Reported: 2011-05-03 05:38 EDT by Min Deng
Modified: 2011-07-29 16:51 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-29 16:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpuinfo of guest (1.90 KB, application/octet-stream)
2011-05-05 03:46 EDT, Min Deng
no flags Details

  None (edit)
Description Min Deng 2011-05-03 05:38:41 EDT
Description of problem:
Physical id and cores fields is missed in /proc/cpuinfo in guest
Version-Release number of selected component (if applicable):
Kernel&KVM
2.6.18-259.el5
kvm-83-232.el5

How reproducible:
Steps to Reproduce:
1.boot up guest with the following command
  /usr/libexec/qemu-kvm -rtc-td-hack -usbdevice tablet -no-hpet -drive file=/home/5u7.raw,if=virtio,boot=on,werror=stop,cache=none,format=raw,media=disk -cpu qemu64,+sse4.2 -smp 4,sockets=2,cores=1,threads=2 -m 4G -net nic,macaddr=00:12:24:57:a8:2e,model=virtio,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -uuid `uuidgen` -boot c -balloon none -notify all -spice port=8001,disable-ticketing -monitor stdio -qxl 1
2.log in guest and cat /proc/cpuinfo 

  
Actual results:
No physical id and cpu cores field in cupinfo.
Expected results:
The two fields are provided just like host.


Additional info:
Comment 1 Min Deng 2011-05-03 05:57:05 EDT
Attached an example came from physical host and please also have a look on 'physical id' and 'cpu cores',thanks.
processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Quad CPU    Q9400  @ 2.66GHz
stepping	: 10
cpu MHz		: 2000.000
cache size	: 3072 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
apicid		: 3
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc pni monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr sse4_1 lahf_lm
bogomips	: 5319.98
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:
Comment 2 Min Deng 2011-05-05 03:46:36 EDT
Created attachment 496999 [details]
cpuinfo of guest
Comment 4 john cooper 2011-05-16 16:22:31 EDT
I'm not sure what to make of this as there are a number of variables.
The exposed cpuid range between native on the host and the qemu64
hybrid are substantially different.  One obvious issue is the "level"
range is 13 for host and 4 for qemu64 -- topo/cache cpuid data exists
beyond 4 which isn't even being exposed for qeumu64.  Could you
try the above changing only "qemu64" with "host" ?

Moreover the data published in /proc/cpuinfo is for the most
part a guest kernel's interpretation of the raw cpuid data.
So it isn't the best route to debug a potential problem.  If
there is cause to believe the exported cpuid info is incorrect
relative to the CLI, please do a "x86info -a -f" on both
host and guest and attach the output here for reference.
Comment 5 Min Deng 2011-06-10 03:47:25 EDT
Re-test the bug with the following cmd ONLY use "qemu64"
/usr/libexec/qemu-kvm -rtc-td-hack -usbdevice tablet -no-hpet -drive file=/home/5u7.raw,if=virtio,boot=on,werror=stop,cache=none,format=raw,media=disk -cpu qemu64 -smp 4,sockets=2,cores=1,threads=2 -m 4G -net nic,macaddr=00:12:24:57:a8:2e,model=virtio,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -uuid `uuidgen` -boot c -balloon none -notify all -spice port=8001,disable-ticketing -monitor stdio -qxl 1

Key points-

1.check /proc/cpuinfo ,still no physical id and cpu cores

2.attached x86info -a -f results
HOST -
x86info v1.28.  Dave Jones 2001-2011
Feedback to <davej@redhat.com>.

MP Table:
#	APIC ID	Version	State		Family	Model	Step	Flags
#	 0	 0x10	 BSP, usable	 6	 10	 5	 0xbfebfbff
#	 2	 0x10	 AP, usable	 6	 10	 5	 0xbfebfbff
#	 4	 0x10	 AP, usable	 6	 10	 5	 0xbfebfbff
#	 6	 0x10	 AP, usable	 6	 10	 5	 0xbfebfbff
#	 0	 0x10	 AP, unusable	 5	 2	 1	 0x0381
#	 0	 0x10	 AP, unusable	 5	 2	 1	 0x0381
#	 0	 0x10	 AP, unusable	 5	 2	 1	 0x0381
#	 0	 0x10	 AP, unusable	 5	 2	 1	 0x0381

Found 4 identical CPUs (but found 8d CPUs in MPTable!)
Extended Family: 0 Extended Model: 1 Family: 6 Model: 26 Stepping: 5
Type: 0 (Original OEM)
CPU Model (x86info's best guess): Core i7 (Nehalem) [bloomfield/gainestown]
Processor name string (BIOS programmed): Intel(R) Xeon(R) CPU           W3520  @ 2.67GHz

Performance MSRs:
  MSR_IA32_PERF_STATUS: 0xc
  MSR_IA32_MISC_ENABLE: 0x850089 [Enabled: TCC PerfMon EnhancedSpeedStep ]

Thermal MSRs:
  MSR_PM_THERM2_CTL: 0x0 [Thermal monitor: 1]
  MSR_IA32_THERM_CONTROL: 0x0 [Software-controlled clock disabled (full speed)]
  MSR_IA32_THERM_STATUS: 0x88320000

Machine check MSRs:
Number of reporting banks : 9
Bank: 0 (0x400)
MC0CTL:    00000000 00000000 00000000 00000000
           00000000 00000000 00000111 11111111
MC0STATUS: 00000000 00000000 00000000 00000000
           00000000 00000000 00001111 11111111
MC0ADDR:   00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
Bank: 1 (0x404)
MC1CTL:    00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
MC1STATUS: 00000000 00000000 00000000 00000000
           00000000 00000000 00001111 11111111
MC1ADDR:   00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
Bank: 2 (0x408)
MC2CTL:    00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00001111
MC2STATUS: 00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
MC2ADDR:   00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
Bank: 3 (0x40c)
MC3CTL:    00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000011
MC3STATUS: 00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
MC3ADDR:   00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
Bank: 4 (0x410)
MC4CTL:    00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000011
MC4STATUS: 00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
MC4ADDR:   Couldn't read MSR 0x412
Bank: 5 (0x414)
MC5CTL:    00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00001111
MC5STATUS: 00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
MC5ADDR:   00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
Bank: 6 (0x418)
MC6CTL:    00000000 00000000 00000000 00000000
           00000000 00000000 00000001 11111111
MC6STATUS: 00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
MC6ADDR:   00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
Bank: 7 (0x41c)
MC7CTL:    00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000111
MC7STATUS: 00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
MC7ADDR:   Couldn't read MSR 0x41e
Bank: 8 (0x420)
MC8CTL:    00000000 00000000 00000000 00000000
           00000000 00000000 00000111 11111111
MC8STATUS: 00000000 00000000 00000000 00000000
           00000000 00000000 00000000 00000000
MC8ADDR:   00000000 00000000 00000000 00000011
           11111111 11111111 11111111 11111111

Microcode version: 0x0000000000000011

eax in: 0x00000000, eax = 0000000b ebx = 756e6547 ecx = 6c65746e edx = 49656e69
eax in: 0x00000001, eax = 000106a5 ebx = 00100800 ecx = 009ce3bd edx = bfebfbff
eax in: 0x00000002, eax = 55035a01 ebx = 00f0b0e4 ecx = 00000000 edx = 09ca212c
eax in: 0x00000003, eax = 00000000 ebx = 00000000 ecx = 00000000 edx = 00000000
eax in: 0x00000004, eax = 1c004121 ebx = 01c0003f ecx = 0000003f edx = 00000000
eax in: 0x00000005, eax = 00000040 ebx = 00000040 ecx = 00000003 edx = 00001120
eax in: 0x00000006, eax = 00000003 ebx = 00000002 ecx = 00000001 edx = 00000000
eax in: 0x00000007, eax = 00000000 ebx = 00000000 ecx = 00000000 edx = 00000000
eax in: 0x00000008, eax = 00000000 ebx = 00000000 ecx = 00000000 edx = 00000000
eax in: 0x00000009, eax = 00000000 ebx = 00000000 ecx = 00000000 edx = 00000000
eax in: 0x0000000a, eax = 07300403 ebx = 00000044 ecx = 00000000 edx = 00000603
eax in: 0x0000000b, eax = 00000001 ebx = 00000002 ecx = 00000100 edx = 00000000

eax in: 0x80000000, eax = 80000008 ebx = 00000000 ecx = 00000000 edx = 00000000
eax in: 0x80000001, eax = 00000000 ebx = 00000000 ecx = 00000001 edx = 28100800
eax in: 0x80000002, eax = 65746e49 ebx = 2952286c ecx = 6f655820 edx = 2952286e
eax in: 0x80000003, eax = 55504320 ebx = 20202020 ecx = 20202020 edx = 57202020
eax in: 0x80000004, eax = 30323533 ebx = 20402020 ecx = 37362e32 edx = 007a4847
eax in: 0x80000005, eax = 00000000 ebx = 00000000 ecx = 00000000 edx = 00000000
eax in: 0x80000006, eax = 00000000 ebx = 00000000 ecx = 01006040 edx = 00000000
eax in: 0x80000007, eax = 00000000 ebx = 00000000 ecx = 00000000 edx = 00000100
eax in: 0x80000008, eax = 00003024 ebx = 00000000 ecx = 00000000 edx = 00000000

Cache info
 L1 Instruction cache: 32KB, 4-way associative. 64 byte line size.
 L1 Data cache: 32KB, 8-way associative. 64 byte line size.
 L2 (MLC): 256KB, 8-way associative. 64 byte line size.
TLB info
 Instruction TLB: 2MB or 4MB pages, fully associative, 7 entries
 Instruction TLB: 4K pages, 4-way associative, 128 entries.
 Data TLB: 4KB or 4MB pages, fully associative, 32 entries.
 Data TLB: 4KB pages, 4-way associative, 64 entries
 Data TLB: 4K pages, 4-way associative, 512 entries.
 64 byte prefetching.
Found unknown cache descriptors: e4 
Feature flags:
 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflsh ds acpi mmx fxsr sse sse2 ss ht tm pbe sse3 dtes64 monitor ds-cpl vmx est tm2 ssse3 cx16 xTPR pdcm dca sse4_1 sse4_2 popcnt
Extended feature flags:
 SYSCALL xd rdtscp em64t lahf_lm dts ida nonstop_tsc
Long NOPs supported: yes

Info URL: http://www.intel.com/design/corei7/documentation.htm
MTRR registers:
MTRRcap (0xfe): 0x0000000000000d08 (smrr flag: 0x1, wc flag: 0x1, fix flag: 0x1, vcnt field: 0x08 (8))
MTRRphysBase0 (0x200): 0x00000000e0000000 (physbase field:0x0e0000 type field: 0x00 (uncacheable))
MTRRphysMask0 (0x201): 0x0000000fe0000800 (physmask field:0xfe0000 valid flag: 1)
MTRRphysBase1 (0x202): 0x0000000220000000 (physbase field:0x220000 type field: 0x00 (uncacheable))
MTRRphysMask1 (0x203): 0x0000000fe0000800 (physmask field:0xfe0000 valid flag: 1)
MTRRphysBase2 (0x204): 0x0000000000000000 (physbase field:0x000000 type field: 0x00 (uncacheable))
MTRRphysMask2 (0x205): 0x0000000000000000 (physmask field:0x000000 valid flag: 0)
MTRRphysBase3 (0x206): 0x0000000000000000 (physbase field:0x000000 type field: 0x00 (uncacheable))
MTRRphysMask3 (0x207): 0x0000000000000000 (physmask field:0x000000 valid flag: 0)
MTRRphysBase4 (0x208): 0x0000000000000000 (physbase field:0x000000 type field: 0x00 (uncacheable))
MTRRphysMask4 (0x209): 0x0000000000000000 (physmask field:0x000000 valid flag: 0)
MTRRphysBase5 (0x20a): 0x0000000000000000 (physbase field:0x000000 type field: 0x00 (uncacheable))
MTRRphysMask5 (0x20b): 0x0000000000000000 (physmask field:0x000000 valid flag: 0)
MTRRphysBase6 (0x20c): 0x0000000000000000 (physbase field:0x000000 type field: 0x00 (uncacheable))
MTRRphysMask6 (0x20d): 0x0000000000000000 (physmask field:0x000000 valid flag: 0)
MTRRphysBase7 (0x20e): 0x0000000000000000 (physbase field:0x000000 type field: 0x00 (uncacheable))
MTRRphysMask7 (0x20f): 0x0000000000000000 (physmask field:0x000000 valid flag: 0)
MTRRfix64K_00000 (0x250): 0x0606060606060606
MTRRfix16K_80000 (0x258): 0x0606060606060606
MTRRfix16K_A0000 (0x259): 0x0000000000000000
MTRRfix4K_C8000 (0x269): 0x0505050505050505
MTRRfix4K_D0000 0x26a: 0x0505050505050505
MTRRfix4K_D8000 0x26b: 0x0505050505050505
MTRRfix4K_E0000 0x26c: 0x0505050505050505
MTRRfix4K_E8000 0x26d: 0x0606060606060606
MTRRfix4K_F0000 0x26e: 0x0505050505050505
MTRRfix4K_F8000 0x26f: 0x0505050505050505
MTRRdefType (0x2ff): 0x0000000000000c06 (fixed-range flag: 0x1, mtrr flag: 0x1, type field: 0x00 (uncacheable))

APIC registers:
APIC MSR Base(0x1b): 			: 0x00000000fee00900
APIC Local ID				: 0x00000000
APIC Local Version			: 0x00060015
APIC Task Priority			: 0x00000000
APIC Arbitration Priority		: 0x00000000
APIC Processor Priority 		: 0x00000000
APIC EOI 				: 0x00000000
APIC Remote Read 			: 0x00000000
APIC Logical Destination 		: 0x01000000
APIC Destination Format 		: 0xffffffff
APIC Spurious Interrupt Vector 		: 0x000001ff
APIC In-Service (ISR0)	 		: 0x00000000
APIC In-Service (ISR1)	 		: 0x00000000
APIC In-Service (ISR2)	 		: 0x00000000
APIC In-Service (ISR3)	 		: 0x00000000
APIC In-Service (ISR4)	 		: 0x00000000
APIC In-Service (ISR5)	 		: 0x00000000
APIC In-Service (ISR6)	 		: 0x00000000
APIC In-Service (ISR7)	 		: 0x00000000
APIC Trigger Mode (TMR0)	 	: 0x00000000
APIC Trigger Mode (TMR1)	 	: 0x00000000
APIC Trigger Mode (TMR2)	 	: 0x00000000
APIC Trigger Mode (TMR3)	 	: 0x00000000
APIC Trigger Mode (TMR4)	 	: 0x00000000
APIC Trigger Mode (TMR5)	 	: 0x00000000
APIC Trigger Mode (TMR6)	 	: 0x00000000
APIC Trigger Mode (TMR7)	 	: 0x00000202
APIC Interrupt Request (IRR00)	 	: 0x00000000
APIC Interrupt Request (IRR01)	 	: 0x00000000
APIC Interrupt Request (IRR02)	 	: 0x00000000
APIC Interrupt Request (IRR03)	 	: 0x00000000
APIC Interrupt Request (IRR04)	 	: 0x00000000
APIC Interrupt Request (IRR05)	 	: 0x00000000
APIC Interrupt Request (IRR06)	 	: 0x00000000
APIC Interrupt Request (IRR07)	 	: 0x00000000
APIC Error Status 			: 0x00000000
APIC LVT CMCI 				: 0x00010000
APIC Interrupt Command (ICR0)		: 0x000000fd
APIC Interrupt Command (ICR1) 		: 0x04000000
APIC LVT Timer 				: 0x000300ef
APIC Thermal Sensor 			: 0x00010000
APIC LVT Performance Monitoring Counters: 0x00000400
APIC LVT LINT0 				: 0x00010700
APIC LVT LINT1 				: 0x00000400
APIC LVT Error 				: 0x000000fe
APIC Initial Count (for Timer)		: 0xffffffff
APIC Current Count (for Timer)		: 0x3585b615
APIC Divide Configuration (for Timer)	: 0x00000003

Address sizes : 36 bits physical, 48 bits virtual
2.70GHz processor (estimate).

Total processor threads: 4
This system has 1 dual-core processor with hyper-threading (2 threads per core) running at an estimated 2.70GHz

GUEST

x86info v1.28.  Dave Jones 2001-2011
Feedback to <davej@redhat.com>.

MP Table:
#	APIC ID	Version	State		Family	Model	Step	Flags
#	 0	 0x11	 BSP, usable	 6	 0	 0	 0x0201
#	 1	 0x11	 AP, usable	 6	 0	 0	 0x0201
#	 2	 0x11	 AP, usable	 6	 0	 0	 0x0201
#	 3	 0x11	 AP, usable	 6	 0	 0	 0x0201
#	 4	 0x11	 AP, unusable	 6	 0	 0	 0x0201
#	 5	 0x11	 AP, unusable	 6	 0	 0	 0x0201
#	 6	 0x11	 AP, unusable	 6	 0	 0	 0x0201
#	 7	 0x11	 AP, unusable	 6	 0	 0	 0x0201
#	 8	 0x11	 AP, unusable	 6	 0	 0	 0x0201
#	 9	 0x11	 AP, unusable	 6	 0	 0	 0x0201
#	10	 0x11	 AP, unusable	 6	 0	 0	 0x0201
#	11	 0x11	 AP, unusable	 6	 0	 0	 0x0201
#	12	 0x11	 AP, unusable	 6	 0	 0	 0x0201
#	13	 0x11	 AP, unusable	 6	 0	 0	 0x0201
#	14	 0x11	 AP, unusable	 6	 0	 0	 0x0201
#	15	 0x11	 AP, unusable	 6	 0	 0	 0x0201

Found 4 identical CPUs (but found 16d CPUs in MPTable!)
Family: 6 Model: 6 Stepping: 3
Type: 0 (Original OEM)
CPU Model (x86info's best guess): Celeron / Mobile Pentium II

Performance MSRs:
  MSR_IA32_PERF_STATUS: 0x400000003e8
  MSR_IA32_MISC_ENABLE: 0x0 [Enabled: ]

Machine check MSRs:
Number of reporting banks : 0


eax in: 0x00000000, eax = 00000004 ebx = 756e6547 ecx = 6c65746e edx = 49656e69
eax in: 0x00000001, eax = 00000663 ebx = 00020800 ecx = 80000001 edx = 178bfbfd
eax in: 0x00000002, eax = 00000001 ebx = 00000000 ecx = 00000000 edx = 002c307d
eax in: 0x00000003, eax = 00000000 ebx = 00000000 ecx = 00000000 edx = 00000000
eax in: 0x00000004, eax = 00000121 ebx = 01c0003f ecx = 0000003f edx = 00000001

eax in: 0x80000000, eax = 8000000a ebx = 68747541 ecx = 444d4163 edx = 69746e65
eax in: 0x80000001, eax = 078bfbfd ebx = 00000000 ecx = 00000002 edx = 2191abfd
eax in: 0x80000002, eax = 554d4551 ebx = 72695620 ecx = 6c617574 edx = 55504320
eax in: 0x80000003, eax = 72657620 ebx = 6e6f6973 ecx = 392e3020 edx = 0000312e
eax in: 0x80000004, eax = 00000000 ebx = 00000000 ecx = 00000000 edx = 00000000
eax in: 0x80000005, eax = 01ff01ff ebx = 01ff01ff ecx = 40020140 edx = 40020140
eax in: 0x80000006, eax = 00000000 ebx = 42004200 ecx = 02008140 edx = 00000000
eax in: 0x80000007, eax = 00000000 ebx = 00000000 ecx = 00000000 edx = 00000000
eax in: 0x80000008, eax = 00003028 ebx = 00000000 ecx = 00000001 edx = 00000000
eax in: 0x80000009, eax = 00000000 ebx = 00000000 ecx = 00000000 edx = 00000000
eax in: 0x8000000a, eax = 00000001 ebx = 00000010 ecx = 00000000 edx = 00000000

Cache info
 L1 Instruction cache: 32KB, 8-way associative. 64 byte line size.
 L1 Data cache: 32KB, 8-way associative. 64 byte line size.
 L2 cache: 2MB, 8-way associative. 64 byte line size.
TLB info
Feature flags:
 fpu de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflsh mmx fxsr sse sse2 ht sse3 [1:ecx:31]
Extended feature flags:
 [80000001:edx:0] [80000001:edx:2] [80000001:edx:3] [80000001:edx:4] [80000001:edx:5] [80000001:edx:6] [80000001:edx:7] [80000001:edx:8] [80000001:edx:9] SYSCALL [80000001:edx:13] [80000001:edx:15] [80000001:edx:16] xd [80000001:edx:23] [80000001:edx:24] em64t [80000001:ecx:1]
Long NOPs supported: yes

Connector type: Socket 370  (370 Pin PGA)

MTRR registers:
MTRRcap (0xfe): 0x0000000000000508 (smrr flag: 0x0, wc flag: 0x1, fix flag: 0x1, vcnt field: 0x08 (8))
MTRRphysBase0 (0x200): 0x00000000c0000000 (physbase field:0x00c0000 type field: 0x00 (uncacheable))
MTRRphysMask0 (0x201): 0xffffffffe0000800 (physmask field:0xffe0000 valid flag: 1)
MTRRphysBase1 (0x202): 0x0000000000000000 (physbase field:0x0000000 type field: 0x00 (uncacheable))
MTRRphysMask1 (0x203): 0x0000000000000000 (physmask field:0x0000000 valid flag: 0)
MTRRphysBase2 (0x204): 0x0000000000000000 (physbase field:0x0000000 type field: 0x00 (uncacheable))
MTRRphysMask2 (0x205): 0x0000000000000000 (physmask field:0x0000000 valid flag: 0)
MTRRphysBase3 (0x206): 0x0000000000000000 (physbase field:0x0000000 type field: 0x00 (uncacheable))
MTRRphysMask3 (0x207): 0x0000000000000000 (physmask field:0x0000000 valid flag: 0)
MTRRphysBase4 (0x208): 0x0000000000000000 (physbase field:0x0000000 type field: 0x00 (uncacheable))
MTRRphysMask4 (0x209): 0x0000000000000000 (physmask field:0x0000000 valid flag: 0)
MTRRphysBase5 (0x20a): 0x0000000000000000 (physbase field:0x0000000 type field: 0x00 (uncacheable))
MTRRphysMask5 (0x20b): 0x0000000000000000 (physmask field:0x0000000 valid flag: 0)
MTRRphysBase6 (0x20c): 0x0000000000000000 (physbase field:0x0000000 type field: 0x00 (uncacheable))
MTRRphysMask6 (0x20d): 0x0000000000000000 (physmask field:0x0000000 valid flag: 0)
MTRRphysBase7 (0x20e): 0x0000000000000000 (physbase field:0x0000000 type field: 0x00 (uncacheable))
MTRRphysMask7 (0x20f): 0x0000000000000000 (physmask field:0x0000000 valid flag: 0)
MTRRfix64K_00000 (0x250): 0x0606060606060606
MTRRfix16K_80000 (0x258): 0x0606060606060606
MTRRfix16K_A0000 (0x259): 0x0000000000000000
MTRRfix4K_C8000 (0x269): 0x0000000000000000
MTRRfix4K_D0000 0x26a: 0x0000000000000000
MTRRfix4K_D8000 0x26b: 0x0000000000000000
MTRRfix4K_E0000 0x26c: 0x0000000000000000
MTRRfix4K_E8000 0x26d: 0x0000000000000000
MTRRfix4K_F0000 0x26e: 0x0000000000000000
MTRRfix4K_F8000 0x26f: 0x0000000000000000
MTRRdefType (0x2ff): 0x0000000000000c06 (fixed-range flag: 0x1, mtrr flag: 0x1, type field: 0x00 (uncacheable))

APIC registers:
APIC MSR Base(0x1b): 			: 0x00000000fee00900
APIC Local ID				: 0x00000000
APIC Local Version			: 0x00050014
APIC Task Priority			: 0x00000000
APIC Arbitration Priority		: 0x00000000
APIC Processor Priority 		: 0x00000000
APIC EOI 				: 0x00000000
APIC Remote Read 			: 0x00000000
APIC Logical Destination 		: 0x01000000
APIC Destination Format 		: 0xffffffff
APIC Spurious Interrupt Vector 		: 0x000001ff
APIC In-Service (ISR0)	 		: 0x00000000
APIC In-Service (ISR1)	 		: 0x00000000
APIC In-Service (ISR2)	 		: 0x00000000
APIC In-Service (ISR3)	 		: 0x00000000
APIC In-Service (ISR4)	 		: 0x00000000
APIC In-Service (ISR5)	 		: 0x00000000
APIC In-Service (ISR6)	 		: 0x00000000
APIC In-Service (ISR7)	 		: 0x00000000
APIC Trigger Mode (TMR0)	 	: 0x00000000
APIC Trigger Mode (TMR1)	 	: 0x00000000
APIC Trigger Mode (TMR2)	 	: 0x00000000
APIC Trigger Mode (TMR3)	 	: 0x00000000
APIC Trigger Mode (TMR4)	 	: 0x00000000
APIC Trigger Mode (TMR5)	 	: 0x00000000
APIC Trigger Mode (TMR6)	 	: 0x00000000
APIC Trigger Mode (TMR7)	 	: 0x00000000
APIC Interrupt Request (IRR00)	 	: 0x00000000
APIC Interrupt Request (IRR01)	 	: 0x00000000
APIC Interrupt Request (IRR02)	 	: 0x00000000
APIC Interrupt Request (IRR03)	 	: 0x00000000
APIC Interrupt Request (IRR04)	 	: 0x00000000
APIC Interrupt Request (IRR05)	 	: 0x00000000
APIC Interrupt Request (IRR06)	 	: 0x00000000
APIC Interrupt Request (IRR07)	 	: 0x00000000
APIC Error Status 			: 0x00000000
APIC LVT CMCI 				: 0x00000000
APIC Interrupt Command (ICR0)		: 0x000000fd
APIC Interrupt Command (ICR1) 		: 0x03000000
APIC LVT Timer 				: 0x000200ef
APIC Thermal Sensor 			: 0x00010000
APIC LVT Performance Monitoring Counters: 0x00000400
APIC LVT LINT0 				: 0x00010700
APIC LVT LINT1 				: 0x00000400
APIC LVT Error 				: 0x000000fe
APIC Initial Count (for Timer)		: 0x0000f424
APIC Current Count (for Timer)		: 0x00000000
APIC Divide Configuration (for Timer)	: 0x00000003

Address sizes : 40 bits physical, 48 bits virtual
2.70GHz processor (estimate).

Total processor threads: 4
This system has 2 single-core processors with hyper-threading (2 threads per core) running at an estimated 2.70GHz
Comment 7 Eduardo Habkost 2011-07-29 16:51:22 EDT
Looks like a duplicate of bug 691886.

*** This bug has been marked as a duplicate of bug 691886 ***

Note You need to log in before you can comment on or make changes to this bug.